<?PHP  

if(is_logged_in($user)){
$tagtext = "I club here";
$actionlink = "individual.php?triclub_id=$row[triclub_id]&".get_sid();
}else{
$tagtext = "Log in to tag this club";
$actionlink = "$forum_url/forum/?do=login;from=triclubs";
$tagstatus = "no";
}

if(is_logged_in($user)){
//Get user's uid
//$testresults = mysql_query("SELECT user_id FROM ".$prefix."User WHERE user_username=\"$username\"") or die(mysql_error());
//$testrow = mysql_fetch_array($testresults);
//$useruid = $testrow[user_id];
$useruid = base64_decode($_SESSION['user_id']);

// is the current user the owner of the club?
$triclub_submitted_by = FALSE;
if($useruid == $row[triclub_submitted_by]){
  $triclub_submitted_by = TRUE;
}

$tagresults = mysql_query("SELECT triclub_member_tags FROM ".$prefix."Triclubs WHERE triclub_id=$row[triclub_id]");
$tagrow = mysql_fetch_array($tagresults);
$tags = explode(",", $tagrow[triclub_member_tags]);

$profileresults = mysql_query("SELECT user_clubtags FROM ".$prefix."User WHERE user_id='$useruid'") or die(mysql_error());
$profilerow = mysql_fetch_array($profileresults);
$profiletags = explode(",", $profilerow[user_clubtags]);

if($_POST[status] == "tag"){
//tag the club
if(array_search($useruid, $tags) == FALSE){
array_push($tags, $useruid);
}
$tags = implode(",", $tags);
mysql_query("UPDATE ".$prefix."Triclubs SET triclub_member_tags='$tags' WHERE triclub_id=$row[triclub_id]") or die(mysql_error());
$tags = explode(",", $tags);

if(array_search($row[triclub_id], $profiletags) == FALSE){
array_push($profiletags, $row[triclub_id]);
}
$profiletags = implode(",", $profiletags);
mysql_query("UPDATE ".$prefix."User SET user_clubtags='$profiletags' WHERE user_id='$useruid'") or die(mysql_error());
}else if($_POST[status] == "untag"){
//untag the club
$key = array_search($useruid, $tags);
unset($tags[$key]);
$tags = implode(",", $tags);
mysql_query("UPDATE ".$prefix."Triclubs SET triclub_member_tags='$tags' WHERE triclub_id=$row[triclub_id]") or die(mysql_error()); 
$tags = explode(",", $tags);

$key = array_search($row[triclub_id], $profiletags);
unset($profiletags[$key]);
$profiletags = implode(",", $profiletags);
mysql_query("UPDATE ".$prefix."User SET user_clubtags='$profiletags' WHERE user_id=$useruid");
}

//Is the club tagged already?
if(array_search($useruid, $tags) !== FALSE){ $racing = TRUE; }else{ $racing = FALSE; }

if($racing){ $tagstatus = "untag"; $tagtext = "Untag this club";}else{ $tagstatus = "tag"; $tagtext = "I'm a member";}
}
?>

<div>
<form action="<? echo $actionlink; ?>" method="post" style="display: inline;">
<input type="hidden" value="<? echo $tagstatus; ?>" name="status" />
<? if (is_logged_in($user)) { ?>
<input type="submit" value="<? echo $tagtext; ?>" class="btn" />
<? } else { ?>
<a href="<? echo $actionlink ?>" class="btn"><? echo $tagtext; ?></a>
<? } ?>
</form>
<form method="post" action="<? echo "individual.php?triclub_id=$row[triclub_id]#clubrs"; ?>" style="display: inline;">
<input type="submit" value="Who's a member?" class="btn" />
</form>
<? if(is_logged_in($user)){ ?>
	<form method="post" action="<? echo "individual.php?triclub_id=$row[triclub_id]#comment"; ?>" style="display: inline;">
	<input type="submit" value="Comment on this club" class="btn" />
	</form>
	
	<form method="post" action="<? echo "wiki_edit.php?triclub_id=$row[triclub_id]"; ?>" style="display: inline;">
	<input type="submit" value="Edit this club (wiki)" class="btn" />
	</form>

<?
 if(is_admin($user)) {
?>

<form method="post" action="delete_X.php" style="display: inline;">
<input type="hidden" name="triclub_id" value="<? echo($row[triclub_id]); ?>" />
<input type="submit" value="Delete this club" class="btn" onclick="return confirm('Are you sure you want to DELETE this club?');" />
</form>

<?

//Get user's uid
$testresults = mysql_query("SELECT user_username FROM ".$prefix."User WHERE user_id='$row[triclub_submitted_by]'") or die(mysql_error());
$testrow = mysql_fetch_array($testresults);
$username = $testrow[user_username];
echo("<br /><br /><strong>Entered By: </strong> <a href='http://forum.slowtwitch.com/gforum.cgi?username=$username;'>$username</a>");  
  }
}
?>
</div>
